Subject: Restart submodule update --recursive

From: Lukasz Palczewski <[email-masked]>
Date: Thu, 28 Oct 2010 07:25:34 +0000 (UTC)

Hi.
I have a problem with the time and the stoping of the submodule update command
when the error occures.
In our project we have lots of submodules with submodules in them. So I use git
command: git submodule update --recursive, to update all the submodules, but it
take some time to do it. I have to do it quite often becouse I'm a tester of the
software and I usually don't know which submodule I need to update, to have the
newest version. If I have some local changes in some submodule, the command
stops and I have to revert the changes and start the submodule update from the
begining again. 
Is there a way to start the submodule update from the place, where the error
occured and the command stop? Something like:
git submodule update --recursive --restart_form_last_error
If there isn't, can You add this feature?